# Scheduled Payments

Scheduled Payments empower users to automate their payments, ensuring funds are sent at specific times without the need for manual intervention. Whether it's a one-time scheduled payment or at regular intervals, such as monthly payrolls, this feature streamlines the payment process, enhancing convenience, efficiency, and helping users stay on top of their financial obligations.

## Schedules

Schedules define the amount, token and frequency of the recurring payment. You can create a schedule using the web app.

{% content-ref url="/pages/7Q7bfEqdykUxnl10QjBA" %}
[Schedules](/api/scheduled-payments/schedules.md)
{% endcontent-ref %}

## Executions

A schedule can be executed once or multiple times depending on its frequency.

In order for executions to be performed, the user will need to have enough funds on its [Gas Wallet](/advanced-features/gas-wallet.md) to pay for blockchain fees.

An execution can fail if the sender hasn’t got enough funds on his wallet. In that case 8Pay will retry every 6 hours.

{% content-ref url="/pages/B7HYDFN8AyUPcoztaJwH" %}
[Executions](/api/scheduled-payments/executions.md)
{% endcontent-ref %}

## Cancellation

Customers can cancel a schedule anytime from the web app and it will not be executed again.

{% content-ref url="/pages/D222lbOFV3jvJgE0WrFP" %}
[Cancellation](/api/scheduled-payments/cancellation.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8pay.network/api/scheduled-payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
